# OrganizationComponent | CICADA
Documentation for CICADA

### Hierarchy

- OrganizationComponent

### Implements

- OnInit

## Index

### Constructors

- constructor

### Properties

- matcher
- organizationForm
- submitted

### Accessors

- organizationFormStub

### Methods

- ngOnInit
- onSubmit

## Constructors

### constructor

- new OrganizationComponent(formBuilder: FormBuilder): OrganizationComponent

- - Defined in src/app/pages/settings/organization/organization.component.ts:14

  #### Parameters

  - ##### formBuilder: FormBuilder

  #### Returns OrganizationComponent

## Properties

### matcher

matcher: CustomErrorStateMatcher = ...

- Defined in src/app/pages/settings/organization/organization.component.ts:14

### organizationForm

organizationForm: FormGroup

- Defined in src/app/pages/settings/organization/organization.component.ts:12

### submitted

submitted: boolean = false

- Defined in src/app/pages/settings/organization/organization.component.ts:13

## Accessors

### organizationFormStub

- get organizationFormStub(): any

- - Defined in src/app/pages/settings/organization/organization.component.ts:26

  #### Returns any

## Methods

### ngOnInit

- ngOnInit(): void

- Implementation of OnInit.ngOnInit

  - Defined in src/app/pages/settings/organization/organization.component.ts:18

  #### Returns void

### onSubmit

- onSubmit(): void

- - Defined in src/app/pages/settings/organization/organization.component.ts:30

  #### Returns void

Generated using TypeDoc